# automatic-certbot-renewal

Simple setup for automatic renewal of certificates with Certbot and Nginx. (Because I always have to search for it...)

1. First of all `certbot` and `python3-certbot-nginx` have to be installed.
2. Put the configured sites in `/etc/nginx/conf.d/`
3. first of all generate the config: `sudo certbot --nginx -d example.site -d www.example.site` (⚠️ This will change your config)

## setup (standalone)

4. Put `/usr/bin/certbot renew --quiet` wherever it is needed (eg. Systemd timer/service, cron job)

## Setup (packaged)

4. Look if you have a service called `certbot-renew.service` and a timer called `certbot-renew.timer`
5. If both are present enable **only certbot-renew.timer**